Eclipse Kura - 5.2.0 - August 2022
-------------------------------------------------------------------------------------------------
Description:
This minor release of Eclipse Kura, compatible with Java 8 and OSGi R7, introduces new framework features for EDGE AI with model encryption,
an improved Container management with entrypoint and networking support, Device Configuration Twin contract and a new PKCS11 Keystore Service provider.


Features:
  * d0670afe18 - [ai.triton.server] add Container Triton Server Service component (#4106) (Mattia Dal Ben)
  * 37c27d52db - added org.eclipse.kura.event.publisher (#4103) (Matteo Maiero)
  * 1dd5f600d9 - add configuration change manager (#4096) (Marcello Rinaldo Martina)
  * 4e41f2a0cf - First implementation of PKCS11 KeystoreService (#4077) (nicolatimeus)
  * 18eccd81f6 - [container.provider] Add memory, cpu and gpu container parameters (#4083) (Pierantonio Merlino)
  * fdb5bfd7a9 - [container.orchestrator] adding support for container restart on failure (#4084) (G_Ivo)
  * 1d1a43fcb9 - [ai.triton.server] add Native Triton Server Service component (#4076) (Mattia Dal Ben)
  * 3f52d9f83e - [ai.triton.server] add Remote Triton Server Service component (#4070) (Mattia Dal Ben)
  * 9a86b2bb67 - Added support for separate truststore in SSLManagerService (#4063) (nicolatimeus)
  * 31552f6680 - [ble.provider] Lazy initialization of Bt DeviceManager (#4052) (Pierantonio Merlino)
  * 6b86b71a52 - [wire.db.component.provider] Add generic db wire components (#4046) (Pierantonio Merlino)
  * 0799c19ad9 - Added support for timestamp in log entry (#4042) (Matteo Maiero)
  * a0f7cbd59d - [core.keystore] Added certificate utility methods. (#4044) (Salvatore Coppola)
  * 5a218b31e1 - [ai.triton.server] added an option to control the max. message size limit for the GRPC calls (#4035) (Marcello Rinaldo Martina)
  * 90ce342dba - [ai.triton.server] expose "timeout" parameter for long running operations (#4017) (Mattia Dal Ben)
  * 04045dbebf - Switched to libsocket-can-java with support for all Kura architectures (#3975) (nicolatimeus)
  * b08241015d - [net.admin] Added a cache for the network configuration (#4012) (Pierantonio Merlino)
  * 38f3f6b885 - [examples] add AI Wire Component Sense-Hat demo (#3824) (Mattia Dal Ben)
  * cfe8f4e728 - Keystore API now supports the passage of parameters with AlgorithmParameterSpec and the adding of X509CRL to the KeystoreService. (#4002) (Salvatore Coppola)
  * e0aa32f31a - [ai.triton.server] Add Model Encryption support for Triton Server Service (#3986) (Mattia Dal Ben)
  * 972cfd82bd - Container network configuration support (#3983) (G_Ivo)
  * c2662bf356 - [api] Added new EnrollmentService API. (#3984) (Salvatore Coppola)
  * 8b4726b742 - Initial support for custom REST authentication providers  (#3982) (nicolatimeus)
  * ec6e97ef4a - [web2] Replace NetAdmin with ConfigurationService in GwtNetworkConfigurationService (#3964) (Pierantonio Merlino)
  * dd577df5d4 - Add support for Japanese (#3977) (Matteo Maiero)
  * acd74d3569 - Add container entrypoint override support to container orchestrator (#3973) (G_Ivo)
  * 41807ecc09 - [org.eclipse.kura.container.orchestrator] adding support for image-management via inventory API (#3953) (G_Ivo)
  * 988635727c - [web2] password change feature (#3936) (Marcello Rinaldo Martina)
  * 0a5c49beed - added image managemnt to container dashboard (#3968) (G_Ivo)
  * 4cdfdcb68d - added support for image management container orchestrator (#3970) (G_Ivo)

Target Environments:
  * Kura is released as pre-compiled binary installers for the following platforms:
    * Raspberry Pi 2/3/4 based on Raspberry Pi OS (32 bits)
    * Raspberry Pi 3/4 based on Ubuntu 20.04 (64 bits)
    * Intel Up Squared board running Ubuntu 20.04
    * Nvidia Jetson Nano board running Ubuntu 18
  * Kura is also available as a pre-built Docker container for Ubi 8 and Alpine

Bug Fixes:
  * 8d37d4674f - [log.filesystem.provider] prevent EOF ending incomplete lines and refactor of parser [backport 5.2.0] (#4149) (Marcello Rinaldo Martina)
  * 72e7adfd9b - [distrib] Aligned snapshot_0.xml with iptables.init in Intel UP2 profile. (#4139) (Salvatore Coppola)
  * 5e5958afea - fix: org.eclipse.kura.core.net exported version internal API [backport release-5.2.0] (#4134) (github-actions[bot])
  * ed12b9f778 - [core.configuration] default values of metatype are always splitted in array before parsing [backport 5.2.0] (#4130) (Marcello Rinaldo Martina)
  * 44155a56a9 - PPP interface number wrongly set [backport release-5.2.0] (#4127) (github-actions[bot])
  * 2d60fcb446 - Fixed SSLManager service truststore unset method (#4118) [backport release-5.2.0] (#4119) (nicolatimeus)
  * 2a8bbfe202 - added missing db dependency in dev-env [backport release-5.2.0] (#4116) (github-actions[bot])
  * 3ec0148231 - [net.admin] Fixed cellular interface name in nat rules (#4110) (Pierantonio Merlino)
  * 358c5abc2f - Updated misleading Password Rest Provider message (#4105) (Matteo Maiero)
  * 99192b4970 - [log.filesystem.provider] Fixed parsing pid with spaces in log lines. (#4108) (Salvatore Coppola)
  * 9f79000a28 - [container.orchestrator] replaced deprecated call on containerRestartOnFailure (#4100) (G_Ivo)
  * 6ce1df665a - [container.orchestrator] added restart on failure variable to comparator (#4099) (G_Ivo)
  * 889f60d259 - [container.provider] fix bug where container ports were not exposed (#4092) (Mattia Dal Ben)
  * c5d39d113c - [core.configuration] Fixed getDefaultValue method in ComponentUtil (#4088) (Pierantonio Merlino)
  * eed2034027 - [container.provider] log stacktraces for all caught exceptions (#4086) (Mattia Dal Ben)
  * 98f3fa6d48 - [container.provider] Fixed empty gpus field in container provider (#4090) (Pierantonio Merlino)
  * 62afedb3aa - [container.orchestrator] fix spelling (#4087) (Mattia Dal Ben)
  * 9ade614a40 - [core.configuration] fix SelfConfiguringComponent default configuration retrival (#4067) (Pierantonio Merlino)
  * 2bcaa3ae61 - wrong dirt message in cloud connection (#4057) (Matteo Maiero)
  * d7efc80ccc - [example.ble.sensortag.dbus] Fixed sensortag example (#4053) (Pierantonio Merlino)
  * e17c7f6d98 - Config update could skip wifi file creation (#4055) (Matteo Maiero)
  * cda1146acd - Port Forwarding rule syntax with mac address (#4051) (Matteo Maiero)
  * 14773ce93f - fixed password change help strings source and case (#4040) (Matteo Maiero)
  * 7697014391 - clear isDirty flag when unsaved changes are discarded (#4039) (G_Ivo)
  * 81581dbb3a - [ai.triton.server] disabled size enforcement on GRPC inbound metadata (#4038) (Marcello Rinaldo Martina)
  * 7eb5916927 - Fixed CSV import with duplicate column name (#4031) (nicolatimeus)
  * 16113270bd - Port forward ports order as it was swapped (#4028) (Matteo Maiero)
  * a28e1056e0 - Multiple wi-fi interface are correctly configured. (#4025) (Salvatore Coppola)
  * 553a6bed3d - fixed Lint rule java:S3655 (#4019) (Matteo Maiero)
  * c23a8187ad - [ai.triton.server] resolved failed startup on configuration update with loaded models (#4008) (Mattia Dal Ben)
  * 7b6d6c1ac7 - [container.orchestrator] network-mode feild is now case-sensitive (#4010) (G_Ivo)
  * ebb0b5acd8 - [api] EnrollmentService API updates. (#4001) (Salvatore Coppola)
  * df53d2102a - Prevent triton stop if properties not changed (#4006) (Matteo Maiero)
  * d2e34daec0 - [core.keystore] Fixed ability to create a keystore without password. (#3987) (Salvatore Coppola)
  * fee890c8e9 - [network] DnsMonitorServiceImpl fixes (#3981) (Pierantonio Merlino)
  * 48c02777a9 - [ai.triton] wait for engine to be ready before loading models (#3978) (Mattia Dal Ben)
  * fb7a19f3cc - [ai.triton] avoid shutting down local Triton container if config set as remote (#3976) (Mattia Dal Ben)

Deprecated APIs:
  * org.eclipse.kura.net.NetworkAdminService (Partial)
  * org.eclipse.kura.net.modem.CellularModem (Partial)
  * org.eclipse.kura.net.wifi.WifiClientMonitorService (Partial)

Target Platform Updates (since Eclipse Kura 5.1.0):
  * d2805100f7 - source jaxrs from maven central (#4097) (Matteo Maiero)
  * 2a190ba3da - updated gson to 2.9.0 (#4081) (Matteo Maiero)
  * 66b343825e - Updated Quartz to v2.3.2 (#4078) (Matteo Maiero)
  * c146d8d649 - Upgraded commons-lang3 to 3.12.0 (#4049) (Salvatore Coppola)
  * c4231f7b9b - updated H2 to 2.1.214 (#4022) (Marcello Rinaldo Martina)

Known Issues:
  * The nvidia-jetson-nano doesn't support the Unprivileged Command Service (see #3598)
  * isc-dhcp-server fails upon first Kura installation on Raspberry Pi Bullseye. This is due to how the isc-dhcp-server installer package is
    built and run immediately after installation.
  * An update to the sslmanagerservice where the pid of the keystoreservice is updated can lead to an error in the following reconnection.
    The issue impact is limited, if the dataservice reconnect option is enabled.
  * The implementation of the CryptoService performs encryption using a
    password that is hardcoded and published.
  * Modem: Ublox Lisa U201 may not be able to establish PPP connection when CHAP/PAP authentication is required.
  * WiFi on Raspberry Pi 2 has only been tested with WiPi WiFi Dongle (Realink RT5370 chipset) and official Pi USB WiFi Dongle (Broadcom BCM43143 chipset).
    AccessPoint WiFi mode not working for Broadcom chipset.
  * Hardware watchdog: not implemented on all platforms
  * Only one WAN interface is currently supported. A warning in displayed
    in the WEB UI if the user attempts to enable more than one WAN interface
  * #4133: Intermittent error parsing Kura log timestamp
  * #4126: GPS fix never lost on serial provider
  * #3913: Potential incorrect keystore password after rollback to snapshot0
  * #3796: Server manager does not close properly
  * #3211: Kura Docker | Bluetooth error in log during starting service
  * #3005: Kura Gets Stuck in Loading View if Services Clicked Too Fast
  * #2843: Access Banner Content All in One Line
  * #2747: No Spacing Between "Wire Components" and Error in Wire Graph
  * #2728: WireGraph Component Description Windows Too Wide
  * #2725: Different Pop-up Windows for Warnings
  * #2702: Error Message For Long Item Names Not Displayed Properly
  * #2696: Component Name Inteferes With Wire Graph Border
  * #2695: Component Names in Wires Not Limited
  * #2410: Deployment handler and URLs with many query parameters
  * #2038: [Kura 3.2.0 QA] Package uninstallation log
  * #1993: Search Domains Are Not Supported
  * #1663: Authentication Issue with Deploy V2
  * #1572: serial modbus has errors on some hardware
  * #1529: OSGI console is not redirected to Eclipse IDE with Kura 3.0
  * #1201: Wifi password incorrectly read from snapshot in Access Point mode
  * #1161: Incorrectly configuring a component can be irreversable.
  * #1128: [Kura 3.0.0 M1 QA] Unable to delete manually added CamelFactory services
  * #1016: ConfigurationServiceImpl creates duplicate instances
  * #797:  Design of ServiceUtil is broken
  * #771:  Web UI fails with INTERNAL_ERROR when WireHelperService is not registered
  * #654:  Clean up static initialization around "modem" functionality
  * #645:  Clean up internal dependencies in Kura
  * #522:  [Net] Modem monitor should monitor interfaces, not modems
  * #486:  Build environment broken on Windows
  * #406:  Replace System.get* with calls to SystemService.getProperties
  * #348:  WpaSupplicantConfigReader.getWifiClientConfig() should support cases where key_mgmt scheme is not set
  * #329:  [DEPLOY-V2] Review/refactoring needed
  * #297:  [Status led] What connection instance controls the status led?
  * #253:  Check if bundle contexes correctly unget services after invoking getService
  * #222:  CloudConnectionStatusServiceImpl does not cancel workers on component deactivation

Changelog:
  * 8d37d4674f - fix(log.filesystem.provider): prevent EOF ending incomplete lines and refactor of parser [backport 5.2.0] (#4149) (Marcello Rinaldo Martina)
  * ecf69d412b - refactor(protocol.can): Add a wrapper for the libsocket-can [backport release-5.2.0] (#4147) (github-actions[bot])
  * de26d4a78b - chore(release notes): Update release notes (#4142) (Pierantonio Merlino)
  * 72e7adfd9b - fix(distrib): Aligned snapshot_0.xml with iptables.init in Intel UP2 profile. (#4139) (Salvatore Coppola)
  * 724251cb17 - chore: updated Kura 5.2.0 release notes (#4132) (Mattia Dal Ben)
  * 5e5958afea - fix: org.eclipse.kura.core.net exported version internal API [backport release-5.2.0] (#4134) (github-actions[bot])
  * ed12b9f778 - fix(core.configuration): default values of metatype are always splitted in array before parsing [backport 5.2.0] (#4130) (Marcello Rinaldo Martina)
  * 44155a56a9 - fix: PPP interface number wrongly set [backport release-5.2.0] (#4127) (github-actions[bot])
  * 2d60fcb446 - fix: Fixed SSLManager service truststore unset method (#4118) [backport release-5.2.0] (#4119) (nicolatimeus)
  * 744f961f61 - style: added list to dependencies [backport release-5.2.0] (#4120) (github-actions[bot])
  * 2a8bbfe202 - fix: added missing db dependency in dev-env [backport release-5.2.0] (#4116) (github-actions[bot])
  * 5885f9936f - chore: add Kura 5.2.0 release notes (#4114) (github-actions[bot])
  * ee6bbb2dde - chore: automated uptick to 5.2.0 (#4111) (github-actions[bot])
  * 3ec0148231 - fix(net.admin): Fixed cellular interface name in nat rules (#4110) (Pierantonio Merlino)
  * 358c5abc2f - fix: Updated misleading Password Rest Provider message (#4105) (Matteo Maiero)
  * d0670afe18 - feat(ai.triton.server): add Container Triton Server Service component (#4106) (Mattia Dal Ben)
  * 99192b4970 - fix(log.filesystem.provider): Fixed parsing pid with spaces in log lines. (#4108) (Salvatore Coppola)
  * af2ab50990 - refactor(ai.triton.server): add TritonServerContainerManager implementation (#4104) (Mattia Dal Ben)
  * 37c27d52db - feat: added org.eclipse.kura.event.publisher (#4103) (Matteo Maiero)
  * 1dd5f600d9 - feat: add configuration change manager (#4096) (Marcello Rinaldo Martina)
  * 0b3f930f56 - refactor(ai.triton.server): add new options required by Containerized Triton (#4102) (Mattia Dal Ben)
  * 27a8ec18d0 - build(ai.triton.server): import org.eclipse.kura.container.orchestration (#4101) (Mattia Dal Ben)
  * 9f79000a28 - fix(container.orchestrator): replaced deprecated call on containerRestartOnFailure (#4100) (G_Ivo)
  * 6ce1df665a - fix(container.orchestrator): added restart on failure variable to comparator (#4099) (G_Ivo)
  * 7a79ccd958 - docs: Added Notice file (#4073) (Matteo Maiero)
  * d2805100f7 - build: source jaxrs from maven central (#4097) (Matteo Maiero)
  * 4e41f2a0cf - feat: First implementation of PKCS11 KeystoreService (#4077) (nicolatimeus)
  * 2a190ba3da - build: updated gson to 2.9.0 (#4081) (Matteo Maiero)
  * 889f60d259 - fix(container.provider): fix bug where container ports were not exposed (#4092) (Mattia Dal Ben)
  * c5d39d113c - fix(core.configuration): Fixed getDefaultValue method in ComponentUtil (#4088) (Pierantonio Merlino)
  * eed2034027 - fix(container.provider): log stacktraces for all caught exceptions (#4086) (Mattia Dal Ben)
  * 89736f385e - chore(wire.component.provider): add /lib folder to .gitignore (#4091) (Mattia Dal Ben)
  * 98f3fa6d48 - fix(container.provider): Fixed empty gpus field in container provider (#4090) (Pierantonio Merlino)
  * 62afedb3aa - fix(container.orchestrator): fix spelling (#4087) (Mattia Dal Ben)
  * 18eccd81f6 - feat(container.provider): Add memory, cpu and gpu container parameters (#4083) (Pierantonio Merlino)
  * 1565565739 - refactor: fixed wrong api since version in ContainerConfiguration (#4085) (Matteo Maiero)
  * fdb5bfd7a9 - feat(container.orchestrator): adding support for container restart on failure (#4084) (G_Ivo)
  * 9ade614a40 - fix(core.configuration): fix SelfConfiguringComponent default configuration retrival (#4067) (Pierantonio Merlino)
  * 1d1a43fcb9 - feat(ai.triton.server): add Native Triton Server Service component (#4076) (Mattia Dal Ben)
  * 66b343825e - build: Updated Quartz to v2.3.2 (#4078) (Matteo Maiero)
  * c5f2086614 - refactor(ai.triton.server): deprecate TritonServerService (#4075) (Mattia Dal Ben)
  * 3f52d9f83e - feat(ai.triton.server): add Remote Triton Server Service component (#4070) (Mattia Dal Ben)
  * a94facb5c9 - docs: Added security file (#4072) (Matteo Maiero)
  * eac6e62816 - docs: Added code of conduct file (#4071) (Matteo Maiero)
  * f86f0cd0a7 - refactor(ai.triton.server): remove app logic from TritonServerServiceOptions (#4068) (Mattia Dal Ben)
  * 9a86b2bb67 - feat: Added support for separate truststore in SSLManagerService (#4063) (nicolatimeus)
  * df2369028f - refactor(ai.triton.server): add TritonServerServiceAbs abstract class (#4064) (Mattia Dal Ben)
  * 75be53773c - refactor: Removed unneeded just added apis (#4066) (Matteo Maiero)
  * 2bcaa3ae61 - fix: wrong dirt message in cloud connection (#4057) (Matteo Maiero)
  * d7efc80ccc - fix(example.ble.sensortag.dbus): Fixed sensortag example (#4053) (Pierantonio Merlino)
  * 7a0c3e0e89 - ci: rename Github Action step (#4061) (Mattia Dal Ben)
  * e17c7f6d98 - fix: Config update could skip wifi file creation (#4055) (Matteo Maiero)
  * 74942dca1a - refactor: Updated config by pid code path (#4054) (Matteo Maiero)
  * cda1146acd - fix: Port Forwarding rule syntax with mac address (#4051) (Matteo Maiero)
  * 31552f6680 - feat(ble.provider): Lazy initialization of Bt DeviceManager (#4052) (Pierantonio Merlino)
  * c146d8d649 - build: Upgraded commons-lang3 to 3.12.0 (#4049) (Salvatore Coppola)
  * 6ca6e4b8b5 - docs: improved `refactor` commit type description (#4050) (Mattia Dal Ben)
  * 6b86b71a52 - feat(wire.db.component.provider): Add generic db wire components (#4046) (Pierantonio Merlino)
  * 0799c19ad9 - feat: Added support for timestamp in log entry (#4042) (Matteo Maiero)
  * 0241659bde - ci: add missing `uptick_snapshot_to_patch_release` configuration (#4048) (Mattia Dal Ben)
  * a0f7cbd59d - feat(core.keystore): Added certificate utility methods. (#4044) (Salvatore Coppola)
  * 14773ce93f - fix: fixed password change help strings source and case (#4040) (Matteo Maiero)
  * 7697014391 - fix: clear isDirty flag when unsaved changes are discarded (#4039) (G_Ivo)
  * 81581dbb3a - fix(ai.triton.server): disabled size enforcement on GRPC inbound metadata (#4038) (Marcello Rinaldo Martina)
  * b5b74dcfdf - ci: fix error in retrieving project version for automation workflows (#4037) (Mattia Dal Ben)
  * 5a218b31e1 - feat(ai.triton.server): added an option to control the max. message size limit for the GRPC calls (#4035) (Marcello Rinaldo Martina)
  * 7eb5916927 - fix: Fixed CSV import with duplicate column name (#4031) (nicolatimeus)
  * 16113270bd - fix: Port forward ports order as it was swapped (#4028) (Matteo Maiero)
  * c4231f7b9b - build: updated H2 to 2.1.214 (#4022) (Marcello Rinaldo Martina)
  * a28e1056e0 - fix: Multiple wi-fi interface are correctly configured. (#4025) (Salvatore Coppola)
  * 4b4ce737af - ci: fix backport action PR titles (#4023) (Mattia Dal Ben)
  * 553a6bed3d - fix: fixed Lint rule java:S3655 (#4019) (Matteo Maiero)
  * 90ce342dba - feat(ai.triton.server): expose "timeout" parameter for long running operations (#4017) (Mattia Dal Ben)
  * 04045dbebf - feat: Switched to libsocket-can-java with support for all Kura architectures (#3975) (nicolatimeus)
  * 3ab12dca12 - ci: add version uptick automation workflow (#4013) (Mattia Dal Ben)
  * b08241015d - feat(net.admin): Added a cache for the network configuration (#4012) (Pierantonio Merlino)
  * c23a8187ad - fix(ai.triton.server): resolved failed startup on configuration update with loaded models (#4008) (Mattia Dal Ben)
  * 2d3229790e - ci: add release notes generation workflow (#4011) (Mattia Dal Ben)
  * 38f3f6b885 - feat(examples): add AI Wire Component Sense-Hat demo (#3824) (Mattia Dal Ben)
  * 7b6d6c1ac7 - fix(container.orchestrator): network-mode feild is now case-sensitive (#4010) (G_Ivo)
  * b38e9a40da - build(ai.triton.server): Moved os-maven-plugin to plugins section. (#4007) (Salvatore Coppola)
  * cfe8f4e728 - feat: Keystore API now supports the passage of parameters with AlgorithmParameterSpec and the adding of X509CRL to the KeystoreService. (#4002) (Salvatore Coppola)
  * b67d45a245 - refactor: bcpg bundle in target platform (#4009) (Matteo Maiero)
  * ebb0b5acd8 - fix(api): EnrollmentService API updates. (#4001) (Salvatore Coppola)
  * df53d2102a - fix: Prevent triton stop if properties not changed (#4006) (Matteo Maiero)
  * 76ad8b11ff - ci: add PR title validation workflow (#4000) (Mattia Dal Ben)
  * e647826a3d - Modem Tab Modification (#3816) (ftoure67)
  * 9fd311fcf0 - refactor: Added missing since annotation (#4005) (Matteo Maiero)
  * 93f1f6c990 - refactor(ai.triton.server): use protobuf from target platform (#4004) (Mattia Dal Ben)
  * 3232a451ed - build: updated H2 to 2.1.212 (#4003) (Marcello Rinaldo Martina)
  * 703ddcfcac - Upgraded bouncycastle to 1.71 (#3999) (Salvatore Coppola)
  * 53dc2db618 - refactor(util): Move unzip to util bundle (#3997) (Pierantonio Merlino)
  * d2e34daec0 - fix(core.keystore): Fixed ability to create a keystore without password. (#3987) (Salvatore Coppola)
  * e62c1d77ff - Now the browser locale is correctly picked (#3991) (Matteo Maiero)
  * 2bac4bdf3e - refactor(ai.triton.server): reorder Triton configuration form (#3995) (Mattia Dal Ben)
  * e0aa32f31a - feat(ai.triton.server): Add Model Encryption support for Triton Server Service (#3986) (Mattia Dal Ben)
  * 7ac4cf3b4c - docs: update PR template with note about new convention (#3989) (Mattia Dal Ben)
  * ec2d9ea3d3 - docs: document PR title convention (#3988) (Mattia Dal Ben)
  * 972cfd82bd - feat: Container network configuration support (#3983) (G_Ivo)
  * c2662bf356 - feat(api): Added new EnrollmentService API. (#3984) (Salvatore Coppola)
  * 8b4726b742 - feat: Initial support for custom REST authentication providers  (#3982) (nicolatimeus)
  * cc630096cd - feat(core.keystore) FilesystemKeystoreService creates keystore file if not present. (#3979) (Salvatore Coppola)
  * fee890c8e9 - fix(network): DnsMonitorServiceImpl fixes (#3981) (Pierantonio Merlino)
  * ec6e97ef4a - feat(web2): Replace NetAdmin with ConfigurationService in GwtNetworkConfigurationService (#3964) (Pierantonio Merlino)
  * dd577df5d4 - feat: Add support for Japanese (#3977) (Matteo Maiero)
  * acd74d3569 - feat: Add container entrypoint override support to container orchestrator (#3973) (G_Ivo)
  * 7df0da1456 - refactor(ai.triton): remove model load from Triton server startup (#3980) (Mattia Dal Ben)
  * 48c02777a9 - fix(ai.triton): wait for engine to be ready before loading models (#3978) (Mattia Dal Ben)
  * fb7a19f3cc - fix(ai.triton): avoid shutting down local Triton container if config set as remote (#3976) (Mattia Dal Ben)
  * 3be9bb194a - Add filter for sha word in container name (#3974) (Pierantonio Merlino)
  * 41807ecc09 - feat(org.eclipse.kura.container.orchestrator): adding support for image-management via inventory API (#3953) (G_Ivo)
  * 49b2b6f8c5 - test(core.configuration.test): fixed occasional test failures (#3962) (Marcello Rinaldo Martina)
  * 988635727c - feat(web2): password change feature (#3936) (Marcello Rinaldo Martina)
  * b90d1f4edf - Removed unused and not available bundle references. (#3955) (Salvatore Coppola)
  * 0a5c49beed - feat: added image managemnt to container dashboard (#3968) (G_Ivo)
  * ca121c92e3 - Fixed KeystoreService snapshot rollback (#3965) (nicolatimeus)
  * 4cdfdcb68d - feat: added support for image management container orchestrator (#3970) (G_Ivo)
  * 493e568ae8 - Cleanup intel up2 installer (#3958) (Salvatore Coppola)
  * 473056cd05 - Updated BouncyCastle lib reference to 1.68.0 (#3959) (Matteo Maiero)
  * d8ce302a04 - Restored baseline plugin analysis (#3961) (nicolatimeus)
  * 733a2014cd - Now if the selected channel is not available in the regdom the wireless form fields are not filled. (#3957) (Salvatore Coppola)
  * 3c307c6e5d - Allow to set empty dns server list. (#3930) (Salvatore Coppola)
  * 45d580f74d - Modified README.md for Java installation using Adoptium (#3928) (Marcello Rinaldo Martina)
  * 5646af69cd - Fixed incorrect permission name (#3950) (nicolatimeus)
  * 979697d536 - Added all known permissions to snapshot_0 (#3948) (nicolatimeus)
  * 6c61bb54c5 - Disabled systemd-timedated.service and isc-dhcp-server6.service (#3927) (Salvatore Coppola)
  * b6f2f5d017 - Removed unnecessary disable of `systemd-timedated` upon installation (#3943) (Mattia Dal Ben)
  * c59678e846 - Removed the features in the examples folder (#3939) (Matteo Maiero)
  * 18207b3b9d - Fixed wrong container service ref from Inventory (#3933) (Matteo Maiero)
